      SUBROUTINE MAIN
      LOGICAL*1 USER(40), DIR(40), MYMAIL(7)
      INTEGER I, LENGTH, FSIZE
      DATA MYMAIL/109, 121, 109, 97, 105, 108, 0/
      CALL MAILID(USER, DIR)
      I = LENGTH(DIR) + 1
      CALL SCOPY(MYMAIL, 1, DIR, I)
      IF(.NOT.(FSIZE(DIR) .GT. 1))GOTO 23000
      CALL PUTLIN(13HYou have mail, 2)
      CALL PUTC(10)
23000 CONTINUE
      RETURN
      END
